Name:           pstoedit
Version:        3.62
Release:        1
Summary:        Translates PostScript and PDF graphics into other vector formats

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://www.pstoedit.net/
Source0:        http://download.sourceforge.net/pstoedit/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  dos2unix
BuildRequires:  gcc >= 4.2.3-2
BuildRequires:  gcc-c++ >= 4.2.3-2
BuildRequires:  gd-devel >= 2.0.35-5
BuildRequires:  ghostscript >= 8.62-3
BuildRequires:  libpng-devel >= 1.2.46-1
BuildRequires:  libstdc++-devel >= 4.2.3-2
BuildRequires:  plotutils-devel >= 2.5-1
BuildRequires:  zlib-devel >= 1.2.3-1

Requires:  gd >= 2.0.35-5
Requires:  ghostscript >= 8.62-3
Requires:  libpng >= 1.2.46-1
Requires:  libgcc >= 4.2.3-2
Requires:  libstdc++ >= 4.2.3-2
Requires:  plotutils >= 2.5-1
Requires:  zlib >= 1.2.3-1

%description
Pstoedit converts PostScript and PDF files to various vector graphic
formats. The resulting files can be edited or imported into various
drawing packages. Pstoedit comes with a large set of integrated format
drivers


%package devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libpng-devel >= 1.2.46-1

%description devel
This package contains the header files needed for developing %{name}
applications


%prep
%setup -q

dos2unix doc/*.htm doc/readme.txt


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

export CC="gcc -D_LARGE_FILES"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

export CXX="g++ -D_LARGE_FILES"
export CXXFLAGS=${CFLAGS}

export LD=ld
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

# building without ImageMagick support, to work around bug 507035
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --without-emf \
    --without-swf \
    --without-magick

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}%{_libdir}
  for f in *.a ; do
    /usr/bin/ar -X32 -x ${f}
  done
)

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib lib64
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc copying doc/readme.txt doc/index.htm doc/pstoedit.htm
%{_bindir}/%{name}
%{_libdir}/*.a
%{_libdir}/*.so*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
/usr/bin/%{name}
/usr/lib/*.a
/usr/lib/*.so*


%files devel
%doc doc/changelog.htm
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
/usr/include/*


%changelog
* Fri May 03 2013 Michael Perzl <michael@perzl.org> - 3.62-1
- updated to version 3.62

* Wed Jan 30 2013 Michael Perzl <michael@perzl.org> - 3.61-1
- updated to version 3.61

* Wed Jan 30 2013 Michael Perzl <michael@perzl.org> - 3.60-1
- first version for AIX V5.1 and higher
